NodeBookmark (Freeplane API 1.13.2)
Description: declaration: package: org.freeplane.api, interface: NodeBookmark

Package org.freeplane.api

# Interface NodeBookmark

public interface NodeBookmark
Represents a bookmark for a specific node in the mind map. Bookmarks provide quick navigation to important nodes and can be configured to either select the node or open it as the root of the view.

Since:
  1.12.12

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the display name of this bookmark.
  `Node`
  `getNode()`
  Returns the node that this bookmark points to.
  `BookmarkType`
  `getType()`
  Returns the type of this bookmark, which determines its behavior when activated.
  `void`
  `open()`
  Opens this bookmark using its default behavior.
  `void`
  `open(String mode)`
  Opens this bookmark with the specified mode, overriding the bookmark's default type.
  `void`
  `open(BookmarkType mode)`
  Opens this bookmark with the specified mode, overriding the bookmark's default type.

- ## Method Details

  - ### getNode

    Node getNode()
    Returns the node that this bookmark points to.
    Returns:
      the bookmarked node

  - ### getName

    String getName()
    Returns the display name of this bookmark.
    Returns:
      the bookmark name as shown in the UI

  - ### getType

    BookmarkType getType()
    Returns the type of this bookmark, which determines its behavior when activated.
    Returns:
      the bookmark type (SELECT or ROOT)
    See Also:
      - `BookmarkType`

  - ### open

    void open()
    Opens this bookmark using its default behavior. The behavior is determined by the bookmark's type: - SELECT type: navigates to the node and selects it - ROOT type: opens the node as the root of the view
    See Also:
      - `getType()`
      - `open(BookmarkType)`

  - ### open

    void open(BookmarkType mode)
    Opens this bookmark with the specified mode, overriding the bookmark's default type.
    Parameters:
      `mode` - the bookmark type to use when opening: SELECT to navigate to and select the node, ROOT to open the node as the root of the view
    See Also:
      - `BookmarkType`
      - `open()`

  - ### open

    void open(String mode)
    Opens this bookmark with the specified mode, overriding the bookmark's default type. Convenience overload that accepts mode as a string for easier scripting.
    Parameters:
      `mode` - the bookmark type as string - "SELECT" or "ROOT" (case insensitive)
    Throws:
      `IllegalArgumentException` - if mode is not a valid BookmarkType value
    See Also:
      - `BookmarkType`
      - `open()`
      - `open(BookmarkType)`